## nvidia-graphics-drivers 470.129.06

=== debian/changelog ===
nvidia-graphics-drivers (470.129.06-4) unstable; urgency=medium

  * Use different virtual packages for firmware file Conflicts and Depends.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jun 2022 00:03:45 +0200

nvidia-graphics-drivers (470.129.06-3) unstable; urgency=medium

  * Do not create backups when patching README.txt.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 May 2022 13:27:23 +0200

nvidia-graphics-drivers (470.129.06-2) unstable; urgency=medium

  * Fix discrepancy between amd64 and i386 README.txt.  (Closes: #1011527)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 May 2022 18:43:07 +0200

nvidia-graphics-drivers (470.129.06-1) unstable; urgency=medium

  * New upstream production branch release 470.129.06 (2022-05-16).
    * Fixed CVE-2022-28181, CVE-2022-28183, CVE-2022-28184, CVE-2022-28185,
      CVE-2022-28191, CVE-2022-28192.  (Closes: #1011140)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5353
    - Added support for the following GPUs: GeForce RTX 3050,
      GeForce RTX 3070 Ti Laptop GPU, GeForce RTX 3080 Ti Laptop GPU,
      GeForce RTX 3090 Ti, RTX A500 Laptop GPU, RTX A1000 Embedded GPU,
      RTX A2000 Embedded GPU, RTX A1000 Laptop GPU, RTX A2000 8GB Laptop GPU,
      RTX A3000 12GB Laptop GPU, RTX A4500 Embedded GPU, RTX A4500 Laptop GPU,
      RTX A5500 Laptop GPU, T550 Laptop GPU.  (Closes: #1011183)
    - Fixed an issue where NvFBC was requesting Vulkan 1.0 while using
      Vulkan 1.1 core features. This caused NvFBC to fail to initialize with
      Vulkan loader versions 1.3.204 or newer.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Import missing legacy IDs from the 510.* README.txt.
    The Kepler notebook GPUs seem still supported by the 470.* driver.
    (Closes: #1011245, #939447, #939067)
  * Bump Standards-Version to 4.6.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 May 2022 02:51:40 +0200

nvidia-graphics-drivers (470.103.01-4) unstable; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.
  * Backport mt_device_gre changes from 510.39.01 to fix kernel module build
    for arm64.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 17 May 2022 14:21:14 +0200

nvidia-graphics-drivers (470.103.01-3~deb11u2) bullseye; urgency=medium

  * Re-enable building libnvidia-nvvm4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Mar 2022 13:38:53 +0100

nvidia-graphics-drivers (470.103.01-3~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.
  * Temporarily disable building libnvidia-nvvm4 to avoid NEW.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 20 Mar 2022 21:38:19 +0100

nvidia-graphics-drivers (470.103.01-3) unstable; urgency=medium

  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).
  * nvidia-detect: Drop support for Tesla 460 drivers (EoL).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Mar 2022 10:27:06 +0100

nvidia-graphics-drivers (460.106.00-5) UNRELEASED; urgency=medium

  * Backport linker scripts changes from 510.60.02.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 May 2022 16:46:36 +0200

nvidia-graphics-drivers (460.106.00-4) UNRELEASED; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.
  * Backport mt_device_gre changes from 510.39.01 to fix kernel module build
    for arm64.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Apr 2022 17:54:31 +0200

nvidia-graphics-drivers (460.106.00-3) UNRELEASED; urgency=medium

  * The Tesla 460 driver series has been declared as End-of-Life by
    NVIDIA. No further updates fixing security issues, critical bugs, or
    adding support for new Xorg or Linux releases will be issued.
    https://docs.nvidia.com/datacenter/tesla/drivers/

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Mar 2022 15:24:04 +0100

nvidia-graphics-drivers (460.106.00-2) UNRELEASED; urgency=medium

  * Backport stdarg.h and stddef.h changes from 495.44 to fix kernel module
    build for Linux 5.16.
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Mar 2022 21:31:18 +0100

nvidia-graphics-drivers (450.191.01-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.191.01 (2022-05-16).
    * Fixed CVE-2022-28181, CVE-2022-28185, CVE-2022-28192.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5353

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 May 2022 18:48:35 +0200

nvidia-graphics-drivers (450.172.01-3) UNRELEASED; urgency=medium

  * Update 0003-fix-conftest-includes.patch to fix kernel module build for
    ppc64el.  (Closes: #976901)
  * Backport mt_device_gre changes from 510.39.01 to fix kernel module build
    for arm64.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Apr 2022 22:28:22 +0200

nvidia-graphics-drivers (450.172.01-2) UNRELEASED; urgency=medium

  * Add xorg-video-abi-25 (Xorg Xserver 21) as alternative dependency.
  * Backport pde_data changes from 470.103.01 to fix kernel module build for
    Linux 5.17.
  * dkms.conf: Use a BUILD_EXCLUSIVE equivalent hack to skip building for -rt
    kernels, not supported upstream (510.54-1).
  * Declare Testsuite: autopkgtest-pkg-dkms (510.54-1).

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Feb 2022 21:03:12 +0100

nvidia-graphics-drivers (418.226.00-5) UNRELEASED; urgency=medium

  * Backport linker scripts changes from 510.60.02.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 22 May 2022 13:17:00 +0200


