## nvidia-graphics-drivers 470.141.03

=== debian/changelog ===
nvidia-graphics-drivers (470.141.03-1~deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Sep 2022 21:52:41 +0200

nvidia-graphics-drivers (470.141.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 02 Sep 2022 10:57:14 +0200

nvidia-graphics-drivers (470.141.03-1) unstable; urgency=medium

  * New upstream production branch release 470.141.03 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615. (Closes: #1016614)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    - Added support for the following GPU: GeForce RTX 3050 OEM.
    * Improved compatibility with recent Linux kernels.  (Closes: #1016736)

  [ Andreas Beckmann ]
  * Replace obsolete pci_*() functions with their dma_*() counterparts in
    ppc64el specific code paths to fix kernel module build for ppc64el.
  * Refresh patches.
  * Update nv-readme.ids.
  * More generic handling of architectures with gsp firmware.
  * Drop references to kernel-package and make-kpkg, gone since stretch.
  * Overhaul build-module-packages.sh.
  * Add module-assistant based autopkgtest for the *-source package.
  * Simplify changelog management for the *-source package.
  * Copy the Source stanza from d/control to the module control file.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 08 Aug 2022 14:52:56 +0200

nvidia-graphics-drivers (470.129.06-6~deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Jul 2022 12:53:52 +0200

nvidia-graphics-drivers (470.129.06-6~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Jul 2022 13:17:34 +0200

nvidia-graphics-drivers (470.129.06-6) unstable; urgency=medium

  * Minor packaging sync and cleanup.
  * Disable building nvidia-cuda-mps, will be built from
    src:nvidia-graphics-drivers-tesla-${latest}.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Jul 2022 09:45:39 +0200

nvidia-graphics-drivers (470.129.06-5) unstable; urgency=medium

  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 25 Jun 2022 23:11:19 +0200

nvidia-graphics-drivers (460.106.00-7) UNRELEASED; urgency=medium

  * Replace obsolete pci_*() functions with their dma_*() counterparts in
    ppc64el specific code paths to fix kernel module build for ppc64el.
  * Backport nv_install_notifier and dma_resv_add_fence changes from
    470.141.03 to fix kernel module build for Linux 5.19.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Aug 2022 05:22:22 +0200

nvidia-graphics-drivers (460.106.00-6) UNRELEASED; urgency=medium

  * Backport pci/dma, iosys_map, dma_set_coherent_mask, acpi_bus_get_device,
    cc_mkdec and drm_mode_config_has_allow_fb_modifiers changes from
    470.129.06 to fix kernel module build for Linux 5.18.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jun 2022 15:51:57 +0200

nvidia-graphics-drivers (460.73.01-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Apr 2021 17:01:43 +0200

nvidia-graphics-drivers (460.67-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Apr 2021 16:51:56 +0200

nvidia-graphics-drivers (450.203.03-1) UNRELEASED; urgency=medium

  * New upstream Tesla release 450.203.03 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Replace obsolete pci_*() functions with their dma_*() counterparts in
    ppc64el specific code paths to fix kernel module build for ppc64el.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 07 Aug 2022 00:14:36 +0200

nvidia-graphics-drivers (450.191.01-2) UNRELEASED; urgency=medium

  * Backport pci/dma, iosys_map, dma_set_coherent_mask, acpi_bus_get_device
    and cc_mkdec changes from 470.129.06 to fix kernel module build for
    Linux 5.18.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jun 2022 10:28:25 +0200

nvidia-graphics-drivers (418.226.00-7) UNRELEASED; urgency=medium

  * Backport nv_install_notifier and dma_resv_add_fence changes from
    450.203.03 to fix kernel module build for Linux 5.19.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 06 Aug 2022 18:27:25 +0200

nvidia-graphics-drivers (418.226.00-6) UNRELEASED; urgency=medium

  * Backport pci/dma, iosys_map, dma_set_coherent_mask and acpi_bus_get_device
    changes from 470.129.06 to fix kernel module build for Linux 5.18.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Jun 2022 14:36:25 +0200

nvidia-graphics-drivers (390.154-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.154 (2022-08-02).
    * Fixed CVE-2022-31607, CVE-2022-31608, CVE-2022-31615.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5383
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Aug 2022 11:32:14 +0200

nvidia-graphics-drivers (390.151-2) UNRELEASED; urgency=medium

  * Backport pci/dma changes from 470.129.06 to fix kernel module build for
    Linux 5.18.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Jun 2022 02:56:26 +0200
