=== debian/control ===
--- 
+++ 
@@ -75,6 +75,7 @@
  glx-alternative-nvidia (>= 1.2),
  ${misc:Depends}
 Provides:
+ nvidia-alternative-any,
  ${nvidia}-alternative--kmod-alias,
 Conflicts:
  libglvnd0-nvidia,
@@ -109,10 +110,11 @@
  ${misc:Depends}
 Provides:
  nvidia-kernel-support-any,
- ${nvidia}-kernel-support-${nvidia:Version},
- nvidia-firmware-${nvidia:Version} [amd64],
+ ${nvidia}-kernel-support--v1,
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}],
+ firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
 Conflicts:
- nvidia-firmware-${nvidia:Version} [amd64],
+ firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
 Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
@@ -127,8 +129,8 @@
 Pre-Depends:
  nvidia-installer-cleanup,
 Depends:
- dkms,
- ${nvidia}-kernel-support-${nvidia:Version},
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
+ ${nvidia}-kernel-support--v1,
  ${misc:Depends}
 Recommends:
  ${nvidia}-driver (>= ${nvidia:Version})
@@ -136,7 +138,7 @@
 Provides:
  ${nvidia}-kernel-${nvidia:Version},
 Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
- This package builds the NVIDIA Xorg binary kernel module needed by
+ This package builds the NVIDIA binary kernel modules needed by
  ${nvidia}-driver, using DKMS.
  Provided that you have the kernel header packages installed, the kernel
  module will be built for your running kernel and automatically rebuilt for
@@ -160,19 +162,18 @@
 Architecture: amd64 arm64
 Depends:
  debhelper-compat (= ${nvidia:debhelper-compat}),
- make:any,
  quilt,
- xz-utils,
- ${misc:Depends}
-Recommends:
- module-assistant | kernel-package,
- ${nvidia}-kernel-support,
+ ${misc:Depends}
+Recommends:
+ module-assistant,
+ firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
+ ${nvidia}-kernel-support--v1,
 Suggests:
  ${nvidia}-driver (>= ${nvidia:Version}),
 Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
- This package provides the source for the NVIDIA Xorg binary kernel module
+ This package provides the source for the NVIDIA binary kernel modules
  needed by ${nvidia}-driver in a form suitable
- for use by module-assistant or kernel-package.
+ for use by module-assistant.
  .
  The NVIDIA binary driver provides optimized hardware acceleration of
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
@@ -361,12 +362,3 @@
 Architecture: i386 amd64 arm64
 Multi-Arch: same
 Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- ${shlibs:Depends}, ${misc:Depends}
-Provides:
- libnvidia-glcore-${nvidia:Version},
-Conflicts:
- libnvidia-glcore-${nvidia:Version},
-Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:VariantDesc}
- The NVIDIA binary driver provides optimized hardware acceleration of
