=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 470
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,
@@ -19,6 +19,9 @@
  po-debconf,
  quilt,
  xz-utils,
+ linux-headers-amd64 [amd64] <!nocheck>,
+ linux-headers-arm64 [arm64] <!nocheck>,
+ linux-headers-powerpc64le [ppc64el] <!nocheck>,
  libglvnd-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
@@ -85,8 +88,6 @@
  libegl1-glvnd-nvidia,
  libgles1-glvnd-nvidia,
  libgles2-glvnd-nvidia,
-Breaks:
- nvidia-tesla-alternative (>> 0),
 Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
  In setups with several NVIDIA driver versions installed (e.g. current and
  legacy) this metapackage registers an alternative to allow easy switching
@@ -110,7 +111,7 @@
  ${misc:Depends}
 Provides:
  nvidia-kernel-support-any,
- ${nvidia}-kernel-support--v1,
+ ${nvidia-kernel}-support--v1,
  firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}],
  firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
 Conflicts:
@@ -130,13 +131,13 @@
  nvidia-installer-cleanup,
 Depends:
  firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
- ${nvidia}-kernel-support--v1,
+ ${nvidia-kernel}-support--v1,
  ${misc:Depends}
 Recommends:
  ${nvidia}-driver (>= ${nvidia:Version})
  | ${libcuda1} (>= ${nvidia:Version}),
 Provides:
- ${nvidia}-kernel-${nvidia:Version},
+ ${nvidia-kernel}-${nvidia:Version},
 Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
  This package builds the NVIDIA binary kernel modules needed by
  ${nvidia}-driver, using DKMS.
@@ -150,7 +151,7 @@
  .
  ${nvidia:Models}
  .
- See /usr/share/doc/${nvidia}-kernel-dkms/README.txt.gz
+ See /usr/share/doc/${nvidia-kernel}-dkms/README.txt.gz
  for a complete list of supported GPUs and PCI IDs.
  .
  This package contains the blobs for building kernel modules for the
@@ -162,12 +163,12 @@
 Architecture: amd64 arm64
 Depends:
  debhelper-compat (= ${nvidia:debhelper-compat}),
+ module-assistant,
  quilt,
  ${misc:Depends}
 Recommends:
- module-assistant,
  firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:arches:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:arches:gsp}],
- ${nvidia}-kernel-support--v1,
+ ${nvidia-kernel}-support--v1,
 Suggests:
  ${nvidia}-driver (>= ${nvidia:Version}),
 Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
@@ -179,13 +180,13 @@
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
  for graphics cards using NVIDIA chip sets.
  .
- PLEASE read /usr/share/doc/${nvidia}-kernel-source/README.Debian.gz
+ PLEASE read /usr/share/doc/${nvidia-kernel}-source/README.Debian.gz
  for building information. If you want the kernel module to be automatically
- installed via DKMS, install ${nvidia}-kernel-dkms instead.
+ installed via DKMS, install ${nvidia-kernel}-dkms instead.
  .
  ${nvidia:Models}
  .
- See /usr/share/doc/${nvidia}-kernel-source/README.txt.gz
+ See /usr/share/doc/${nvidia-kernel}-source/README.txt.gz
  for a complete list of supported GPUs and PCI IDs.
  .
  This package contains the blobs for building kernel modules for the
@@ -358,7 +359,3 @@
  This metapackage depends on the NVIDIA binary OpenGL/GLX implementation using
  GLVND and the corresponding GLVND loader library.
 
-Package: libnvidia-glcore
-Architecture: i386 amd64 arm64
-Multi-Arch: same
-Pre-Depends:
